#
# spec file for package python3-pexpect
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pexpect
Version:        3.3
Release:        5.1
Summary:        Pure Python Expect-like module
License:        ISC
Group:          Development/Libraries/Python
Url:            http://pexpect.readthedocs.org/en/latest/
Source:         https://pypi.python.org/packages/source/p/pexpect/pexpect-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Pexpect is a pure Python module for spawning child applications;
controlling them; and responding to expected patterns in their output.

%prep
%setup -n pexpect-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix="/usr" --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc doc examples LICENSE
%{python3_sitelib}/ANSI.py*
%{python3_sitelib}/pexpect/
%{python3_sitelib}/FSM.py*
%{python3_sitelib}/fdpexpect.py*
%{python3_sitelib}/pexpect-%{version}-py*.egg-info
%{python3_sitelib}/pxssh.py*
%{python3_sitelib}/screen.py*
%{python3_sitelib}/__pycache__/*

%changelog
* Thu Jul 30 2015 toddrme2178@gmail.com
- Include LICENSE in %%doc
* Wed Jul 29 2015 toddrme2178@gmail.com
- Initial python 3 version
* Mon Apr 27 2015 tbechtold@suse.com
- update to 3.3:
  * Added a mechanism to wrap REPLs, or shells, in an object which can
    conveniently be used to send commands and wait for the output
    (:mod:`pexpect.replwrap`).
  * Fixed issue where pexpect would attempt to execute a directory because
    it has the 'execute' bit set (:ghissue:`37`).
  * Removed the ``pexpect.psh`` module. This was never documented, and we found
    no evidence that people use it. The new :mod:`pexpect.replwrap` module
    provides a more flexible alternative.
  * Fixed ``TypeError: got <type 'str'> ('\r\n') as pattern`` in
    :meth:`spawnu.readline`
    method (:ghissue:`67`).
  * Fixed issue where EOF was not correctly detected in :meth:`~.interact`,
    causing a repeating loop of output on Linux, and blocking before EOF
    on BSD and Solaris (:ghissue:`49`).
  * Several Solaris (SmartOS) bugfixes, preventing :exc:`IOError` exceptions,
    especially when used with cron(1) (:ghissue:`44`).
  * Added new keyword argument ``echo=True`` for :class:`spawn`.  On SVR4-like
    systems, the method :meth:`~.isatty` will always return *False*: the child
    pty does not appear as a terminal.  Therefore, :meth:`~.setecho`,
    :meth:`~.getwinsize
  * Fix exception handling from :func:`select.select` on Python 2 (:ghpull:`38`)
    This was accidentally broken in the previous release when it was fixed for
    Python 3.
  * Removed a workaround for ``TIOCSWINSZ`` on very old systems, which was
    causing issues on some BSD systems (:ghpull:`40`).
  * Fixed an issue with exception handling in :mod:`~pexpect.pxssh`
    (:ghpull:`43`)
* Fri Apr 11 2014 dmueller@suse.com
- fix license (ISC)
* Thu Apr  3 2014 dmueller@suse.com
- update to 3.1:
  * Fix an issue that prevented importing pexpect on Python 3 when ``sys.stdout``
    was reassigned
  * Improve prompt synchronisation in :mod:`~pexpect.pxssh`
  * Fix pickling exception instances
  * Fix handling exceptions from :func:`select.select` on Python 3
  * A new :ref:`unicode API <unicode>` was introduced.
  * Python 3 is now supported, using a single codebase.
  * Pexpect now requires at least Python 2.6 or 3.2.
  * The modules other than pexpect, such as :mod:`pexpect.fdpexpect` and
  * Ignoring ``SIGHUP`` is now optional
* Thu Oct 24 2013 speilicke@suse.com
- Update to version 2.4:
  + No changelog
* Fri Sep 19 2008 dmueller@suse.de
- fix requires
* Fri Aug  1 2008 bwalle@suse.de
- update to 2.3 (no upstream changelog available)
* Wed Jan 24 2007 timlee@suse.de
- initial submission to autobuild, version 2.1
